Index: build-system/configure.lib
===================================================================
--- build-system/configure.lib	(revision 5808)
+++ build-system/configure.lib	(revision 5810)
@@ -61,8 +61,21 @@
  echo '--prefix DIR                - Set general prefix (default: '"$PREFIX"')'
  echo '--prefix-bin DIR            - Set prefix for binaries (default: $PREFIX/bin)'
+ echo '--prefix-sbin DIR           - Set prefix for system binaries (default: $PREFIX/sbin)'
  echo '--prefix-lib DIR            - Set prefix for libraries (default: $PREFIX/libs)'
  echo '--prefix-inc DIR            - Set prefix for include files (default: $PREFIX/include)'
- echo '--prefix-man DIR            - Set prefix for manpages (default: $PREFIX/man)'
+ echo '--prefix-man DIR            - Set prefix for manpages (default: $PREFIX/share/man)'
  echo '--prefix-pc DIR             - Set prefix for pkg-config (default: $PREFIX_LIB/pkgconfig)'
+ echo '--prefix-sysconf DIR        - Set prefix for system configuration (default: $PREFIX/etc)'
+ echo '--prefix-dev DIR            - Set prefix for devices (default: $PREFIX/dev)'
+ echo '--prefix-doc DIR            - Set prefix for documentation (default: $PREFIX/share/doc)'
+ echo '--prefix-tmp DIR            - Set prefix for temporary files (default: $PREFIX/tmp)'
+ echo '--prefix-var DIR            - Set prefix for variable files (default: $PREFIX/var)'
+ echo '--prefix-cache DIR          - Set prefix for application caches (default: $PREFIX_VAR/cache)'
+ echo '--prefix-data DIR           - Set prefix for variable application data (default: $PREFIX_VAR/lib)'
+ echo '--prefix-lock DIR           - Set prefix for lock files (locked resources) (default: $PREFIX_VAR/lock)'
+ echo '--prefix-log DIR            - Set prefix for log files (default: $PREFIX_VAR/log)'
+ echo '--prefix-mail DIR           - Set prefix for user'\''s mailboxes (default: $PREFIX_VAR/mail)'
+ echo '--prefix-run DIR            - Set prefix for information about the running system (default: $PREFIX_VAR/run)'
+ echo '--prefix-spool DIR          - Set prefix for spools (queued jobs) (default: $PREFIX_VAR/spool)'
  echo
  echo '--without-beta              - Disable beta code'
@@ -162,4 +175,8 @@
    SHIFT_COUNT=1
   ;;
+  '--prefix-sbin')
+   PREFIX_SBIN="$2"
+   SHIFT_COUNT=1
+  ;;
   '--prefix-lib')
    PREFIX_LIB="$2"
@@ -180,4 +197,52 @@
   '--prefix-ckport')
    PREFIX_CKPORT="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-sysconf')
+   PREFIX_SYSCONF="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-dev')
+   PREFIX_DEV="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-doc')
+   PREFIX_DOC="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-tmp')
+   PREFIX_TMP="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-var')
+   PREFIX_VAR="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-cache')
+   PREFIX_CACHE="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-data')
+   PREFIX_DATA="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-lock')
+   PREFIX_LOCK="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-log')
+   PREFIX_LOG="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-mail')
+   PREFIX_MAIL="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-run')
+   PREFIX_RUN="$2"
+   SHIFT_COUNT=1
+  ;;
+  '--prefix-spool')
+   PREFIX_SPOOL="$2"
    SHIFT_COUNT=1
   ;;
@@ -190,4 +255,7 @@
    PREFIX_BIN=$(echo "$1" | cut -d= -f2)
   ;;
+  '--prefix-sbin='*)
+   PREFIX_SBIN=$(echo "$1" | cut -d= -f2)
+  ;;
   '--prefix-lib='*)
    PREFIX_LIB=$(echo "$1" | cut -d= -f2)
@@ -204,4 +272,40 @@
   '--prefix-ckport='*)
    PREFIX_CKPORT=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-sysconf='*)
+   PREFIX_SYSCONF=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-dev='*)
+   PREFIX_DEV=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-doc='*)
+   PREFIX_DOC=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-tmp='*)
+   PREFIX_TMP=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-var='*)
+   PREFIX_VAR=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-cache='*)
+   PREFIX_CACHE=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-data='*)
+   PREFIX_DATA=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-lock='*)
+   PREFIX_LOCK=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-log='*)
+   PREFIX_LOG=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-mail='*)
+   PREFIX_MAIL=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-run='*)
+   PREFIX_RUN=$(echo "$1" | cut -d= -f2)
+  ;;
+  '--prefix-spool='*)
+   PREFIX_SPOOL=$(echo "$1" | cut -d= -f2)
   ;;
 ####################################
@@ -276,4 +380,5 @@
 update_prefixes() {
  [ "$PREFIX_BIN"    = '' ] && PREFIX_BIN="$PREFIX/bin/"
+ [ "$PREFIX_SBIN"   = '' ] && PREFIX_SBIN="$PREFIX/sbin/"
  [ "$PREFIX_LIB"    = '' ] && PREFIX_LIB="$PREFIX/lib/"
  [ "$PREFIX_INC"    = '' ] && PREFIX_INC="$PREFIX/include/"
@@ -281,4 +386,16 @@
  [ "$PREFIX_PC"     = '' ] && PREFIX_PC="$PREFIX_LIB/pkgconfig/"
  [ "$PREFIX_CKPORT" = '' ] && PREFIX_CKPORT="$PREFIX_LIB/ckport/db/"
+ [ "$PREFIX_SYSCONF" = '' ] && PREFIX_SYSCONF="$PREFIX/etc/"
+ [ "$PREFIX_DEV"    = '' ] && PREFIX_DEV="$PREFIX/dev/"
+ [ "$PREFIX_DOC"    = '' ] && PREFIX_DOC="$PREFIX/share/doc/"
+ [ "$PREFIX_TMP"    = '' ] && PREFIX_TMP="$PREFIX/tmp/"
+ [ "$PREFIX_VAR"    = '' ] && PREFIX_VAR="$PREFIX/var/"
+ [ "$PREFIX_CACHE"  = '' ] && PREFIX_CACHE="$PREFIX_VAR/cache/"
+ [ "$PREFIX_DATA"   = '' ] && PREFIX_DATA="$PREFIX_VAR/lib/"
+ [ "$PREFIX_LOCK"   = '' ] && PREFIX_LOCK="$PREFIX_VAR/lock/"
+ [ "$PREFIX_LOG"    = '' ] && PREFIX_LOG="$PREFIX_VAR/log/"
+ [ "$PREFIX_MAIL"   = '' ] && PREFIX_MAIL="$PREFIX_VAR/mail/"
+ [ "$PREFIX_RUN"    = '' ] && PREFIX_RUN="$PREFIX_VAR/run/"
+ [ "$PREFIX_SPOOL"  = '' ] && PREFIX_SPOOL="$PREFIX_VAR/spool/"
 }
 
@@ -331,4 +448,5 @@
   echo "PREFIX=$PREFIX"
   echo "PREFIX_BIN=$PREFIX_BIN"
+  echo "PREFIX_SBIN=$PREFIX_SBIN"
   echo "PREFIX_LIB=$PREFIX_LIB"
   echo "PREFIX_INC=$PREFIX_INC"
@@ -336,4 +454,16 @@
   echo "PREFIX_PC=$PREFIX_PC"
   echo "PREFIX_CKPORT=$PREFIX_CKPORT"
+  echo "PREFIX_SYSCONF=$PREFIX_SYSCONF"
+  echo "PREFIX_DEV=$PREFIX_DEV"
+  echo "PREFIX_DOC=$PREFIX_DOC"
+  echo "PREFIX_TMP=$PREFIX_TMP"
+  echo "PREFIX_VAR=$PREFIX_VAR"
+  echo "PREFIX_CACHE=$PREFIX_CACHE"
+  echo "PREFIX_DATA=$PREFIX_DATA"
+  echo "PREFIX_LOCK=$PREFIX_LOCK"
+  echo "PREFIX_LOG=$PREFIX_LOG"
+  echo "PREFIX_MAIL=$PREFIX_MAIL"
+  echo "PREFIX_RUN=$PREFIX_RUN"
+  echo "PREFIX_SPOOL=$PREFIX_SPOOL"
   echo
  } >&4
Index: build-system/configure.vars
===================================================================
--- build-system/configure.vars	(revision 5808)
+++ build-system/configure.vars	(revision 5810)
@@ -59,4 +59,5 @@
 PREFIX='/usr/local'
 PREFIX_BIN=''
+PREFIX_SBIN=''
 PREFIX_LIB=''
 PREFIX_INC=''
@@ -64,4 +65,16 @@
 PREFIX_PC=''
 PREFIX_CKPORT=''
+PREFIX_SYSCONF=''
+PREFIX_DEV=''
+PREFIX_DOC=''
+PREFIX_TMP=''
+PREFIX_VAR=''
+PREFIX_CACHE=''
+PREFIX_DATA=''
+PREFIX_LOCK=''
+PREFIX_LOG=''
+PREFIX_MAIL=''
+PREFIX_RUN=''
+PREFIX_SPOOL=''
 
 ROOT_UID=''
